Subject: [CCAMP] [Technical Errata Reported] RFC4803 (1841)

From: RFC Errata System <[email-masked]>
Date: Thu, 27 Aug 2009 11:48:44 -0700 (PDT)

The following errata report has been submitted for RFC4803,
"Generalized Multiprotocol Label Switching (GMPLS) Label Switching Router (LSR) Management Information Base".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=4803&eid=1841

--------------------------------------
Type: Technical
Reported by: Girish Mahanta <[email-masked]>

Section: Section 7

Original Text
-------------
gmplsOutSegmentTTLDecrement OBJECT-TYPE
SYNTAX Unsigned32
MAX-ACCESS read-create
STATUS current
DESCRIPTION
"This object indicates the amount by which to decrement the Time
to Live (TTL) of any payload packets forwarded on this segment if
per-hop decrementing is being done.
A value of zero indicates that no decrement should be made or
that per-hop decrementing is not in use.
See the gmplsTunnelTTLDecrement object in the gmplsTunnelTable
of GMPLS-TE-STD-MIB for a value by which to decrement the TTL
for the whole of a tunnel.
This object cannot be modified if mplsOutSegmentRowStatus for
the associated entry in the mplsOutSegmentTable is active(1)."
REFERENCE
"1. Time To Live (TTL) Processing in Multi-Protocol Label
Switching (MPLS) Networks, RFC 3443.
2. Generalized Multiprotocol Label Switching (GMPLS) Traffic
Engineering Management Information Base, RFC 4802."
DEFVAL { 0 }
::= { gmplsOutSegmentEntry 2 }

Corrected Text
--------------
gmplsOutSegmentTTLDecrement OBJECT-TYPE
SYNTAX Unsigned32
MAX-ACCESS read-create
STATUS current
DESCRIPTION
"This object indicates the amount by which to decrement the Time
to Live (TTL) of any payload packets forwarded on this segment if
per-hop decrementing is being done.
A value of zero indicates that no decrement should be made or
that per-hop decrementing is not in use.
This object cannot be modified if mplsOutSegmentRowStatus for
the associated entry in the mplsOutSegmentTable is active(1)."
REFERENCE
"1. Time To Live (TTL) Processing in Multi-Protocol Label
Switching (MPLS) Networks, RFC 3443."
DEFVAL { 0 }
::= { gmplsOutSegmentEntry 2 }

Notes
-----
In gmplsOutSegmentTable for the object gmplsOutSegmentTTLDecrement there is no gmplsTunnelTTLDecrement object in the gmplsTunnelTable of GMPLS-TE-STD-MIB which is referenced.

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC4803 (draft-ietf-ccamp-gmpls-lsr-mib-15)
--------------------------------------
Title               : Generalized Multiprotocol Label Switching (GMPLS) Label Switching Router (LSR) Management Information Base
Publication Date    : February 2007
Author(s)           : T. Nadeau, Ed., A. Farrel, Ed.
Category            : PROPOSED STANDARD
Source              : Common Control and Measurement Plane
Area                : Routing
Stream              : IETF
Verifying Party     : IESG

---

From: "Thomas D. Nadeau" <[email-masked]>
Date: Mon, 31 Aug 2009 19:44:30 -0400

I agree that there is an error in the original text. The proposed text
for the fix is correct.

    --Tom

On 8/27/09 2:48 PM, "RFC Errata System" <[email-masked]> wrote:

> In gmplsOutSegmentTable for the object gmplsOutSegmentTTLDecrement there is no
> gmplsTunnelTTLDecrement object in the gmplsTunnelTable of GMPLS-TE-STD-MIB
> which is referenced.
> 
> Instructions:
> -------------
> Title               : Generalized Multiprotocol Label Switching (GMPLS) Label
> Switching Router (LSR) Management Information Base
> _______________________________________________
> CCAMP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ccamp

-- 
Principal Architect - 21CN Networks